%define name    ocaml-bitstring
%define version 2.0.3
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Bitstrings and bitstring matching for OCaml
License:        LGPLv2+ with exceptions and GPLv2+
Group:          Development/Other
URL:            http://code.google.com/p/bitstring
Source:         http://bitstring.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  camlp4
BuildRequires:  ocaml-findlib

%description
The ocaml-bitstring project adds Erlang-style bitstrings and matching over
bitstrings as a syntax extension and library for OCaml.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q

%build
%configure2_5x
make 
make doc

%check
make test

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{_libdir}/ocaml/stublibs
make install OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml

install -d -m 755 %{buildroot}/%{_bindir}
install -m 755 bitstring-objinfo %{buildroot}%{_bindir}

%files
%doc README TODO COPYING COPYING.LIB CHANGES
%dir %{_libdir}/ocaml/bitstring
%{_libdir}/ocaml/bitstring/*.cmi
%{_libdir}/ocaml/bitstring/*.cma
%{_libdir}/ocaml/bitstring/META
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner

%files devel
%{_bindir}/bitstring-objinfo
%{_libdir}/ocaml/bitstring/*.a
%{_libdir}/ocaml/bitstring/*.cmx
%{_libdir}/ocaml/bitstring/*.cmxa
%{_libdir}/ocaml/bitstring/*.cmo
%{_libdir}/ocaml/bitstring/*.mli


%changelog

* Thu Mar 01 2012 blue_prawn <blue_prawn> 2.0.3-1.mga2
+ Revision: 216297
- update to new version 2.0.3

* Sun Oct 02 2011 shlomif <shlomif> 2.0.2-3.mga2
+ Revision: 150985
- Add check and other cleanups - thanks to Malo.

* Sun Oct 02 2011 fwang <fwang> 2.0.2-2.mga2
+ Revision: 150872
- rebuild for new ocaml

* Mon Mar 07 2011 saispo <saispo> 2.0.2-1.mga1
+ Revision: 66128
- imported package ocaml-bitstring

